import { Injectable } from '@nestjs/common'
import { InjectModel } from '@nestjs/mongoose'
import { Model } from 'mongoose'
import { Event } from 'src/schemas/event.schema'
import { CreateEventDto } from './dto/create-event.dto'
import { UpdateEventDto } from './dto/update-event.dto'

@Injectable()
export class EventsService {
  constructor(
    @InjectModel(Event.name) private eventModel: Model<Event>,
  ) {}

  async create(body: CreateEventDto) {
    await this.eventModel.create(body)
  }

  async findAll() {
    return await this.eventModel.find({})
  }

  async findOne(_id: string) {
    return await this.eventModel.findById(_id)
  }

  async update(_id: string, updateEventDto: UpdateEventDto) {
    return await this.eventModel.findOneAndUpdate({ _id }, updateEventDto)
  }

  async remove(_id: string) {
    return await this.eventModel.deleteOne({ _id })
  }
}
